package cz.wz.milanl.colors.selectors;

import cz.wz.milanl.util.Numbers;

public class PaletteSelector extends ListSelector {

	public PaletteSelector(SelectorBar parent, String name) {
		super(parent, name);
	}

	protected ColorListItem[] getColorListItems() {
		ColorListItem[] colorItems =  new ColorListItem[9*9*9];
		int count=0;
		for (int r=0;r<=255;r+=30)
		{
			if (r>255-30) r=255;
			for (int g=0;g<=255;g+=30)
			{
				if (g>255-30) g=255;
				for (int b=0;b<=255;b+=30)
				{
					if (b>255-30) b=255;
					colorItems[count] = new ColorListItem();
					colorItems[count].name=Numbers.toHex(r)+Numbers.toHex(g)+Numbers.toHex(b);
					colorItems[count].r=r;
					colorItems[count].g=g;
					colorItems[count].b=b;
					count++;
				}
			}
		}
			

		return colorItems;
	}
}
