package cz.wz.milanl.colors.selectors;

import org.eclipse.swt.layout.GridLayout;
import org.eclipse.swt.widgets.Text;

public abstract class OneValueSelector extends ColorSelector {
	protected Text t;

	public OneValueSelector(SelectorBar parent, String name) {
		super(parent, name);

		area.setLayout(new GridLayout(1, false));

		t = new Text(area, 0);
		t.setSize(t.getSize().y, 40);
		t.addModifyListener(getModifyListener(false));
	}

	public void restoreFieldColors() {
		t.setBackground(defaultColor);
	}
}
