package cz.wz.milanl.util;

import java.io.IOException;
import java.io.InputStream;
import java.util.HashMap;
import java.util.Map;

import org.eclipse.swt.graphics.Image;
import org.eclipse.swt.widgets.Display;

public class Icons {
	private static Map<String, Image> icons = new HashMap<String, Image>();

	public static Image get(String name) {
		Image result = icons.get(name);
		if (result == null) {
			InputStream is = new Icons().getClass().getResourceAsStream(
					"/icons/" + name + ".gif");
			result = new Image(Display.getDefault(), is);
			try {
				is.close();
			} catch (IOException e) {
			}
			icons.put(name, result);
		}

		return result;
	}
}
